summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan G. Weichinger <office@oops.co.at>2017-01-16 16:48:56 +0100
committerMichael Palimaka <kensington@gentoo.org>2017-03-18 17:38:29 +1100
commit3d518220c62d039822184552c738436d7700c6f8 (patch)
treea71c5e85b7c214681bc4ddc2da73051587406fa9 /mail-filter
parentprofiles: drop mask for removed net-news/blam and dev-dotnet/webkit-sharp (diff)
downloadgentoo-3d518220c62d039822184552c738436d7700c6f8.tar.gz
gentoo-3d518220c62d039822184552c738436d7700c6f8.tar.bz2
gentoo-3d518220c62d039822184552c738436d7700c6f8.zip
mail-filter/postgrey: version bump to 1.37
Diffstat (limited to 'mail-filter')
-rw-r--r--mail-filter/postgrey/Manifest1
-rw-r--r--mail-filter/postgrey/postgrey-1.37.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/mail-filter/postgrey/Manifest b/mail-filter/postgrey/Manifest
index 5515ab90ae3..263e0a9ff9b 100644
--- a/mail-filter/postgrey/Manifest
+++ b/mail-filter/postgrey/Manifest
@@ -1,3 +1,4 @@
DIST postgrey-1.34.tar.gz 36399 SHA256 9a9ee2f4e3cbbf15642e47802407c810ac5c54f0ad1572ebec3f0f645eb35707 SHA512 df6cf0c3bf6835591aad00bde13330ee4030b965c90a01a27dfafb5eac1f008dcfb9001dbfcf70a6209b91af7a571b38392b69db2212f112d888a565e9b703cb WHIRLPOOL 92eade9af5ac0589ffd0c63b89b36ac8b64b5f862f601cbfa10c66137ea46624ff5af0b96cbcef2f004cb19028fd90c406f4ec164440e53f4f1122c3cdd427e3
DIST postgrey-1.35.tar.gz 36610 SHA256 f6a6956630803e6f79ebff6ad0cc0d46ba32046ed6cc260e38e6f591de7bbdcf SHA512 fa9844f6ca7395c02cbc1f234d0efbeafb80ebbebc763966d375bb32e7768d9c987d8c95d1e8dc9da933832feb9948b4086cf5a31f24d3764e9678333abe6c8f WHIRLPOOL c969bf93747cb197bd6efef4b4dd7d979f489663a235e7723dc015005c8b059b23d0bde7c8ba08a3ad1da7a5957e98da7170e4405019c633c91aadb3ed016c6c
DIST postgrey-1.36.tar.gz 38797 SHA256 a22bf8c42518d802a32b070332b7ca3aed985ff4f9a59cd04028c56988585f26 SHA512 9b2502b873658c1ef8a86bff091d61b8dc8d66f7395bc0a869f9e6ec60b691a317c084ae326f49ce8dd926f0fa2620a58f3ad76c25e1b1c9606557d2802d1395 WHIRLPOOL 9b8e8e74422608acbf901fa32b69eedea6cb5a8053c1d84d8ecc08c03776ca0805c9b4188de5db5b2d707b48c80a42a9e3a9050305273f159ce2828c80dfe870
+DIST postgrey-1.37.tar.gz 41815 SHA256 ff4d9543f8f5cb0356c30ffe22255d942ac6128da734c376de211c02630fa5f7 SHA512 369968212ea60539efc0d4a7ae84f7c3ce13f5622e6ee070a0089423ef81ca8f7541ebd20289291d0e6a3aec2ca30dbc9c0d9c0a6f0a686adfadb5d0dd7830ca WHIRLPOOL ee61fb579740e24a9fca0ea349401c4b8f9f6a4fe0df3ad57345ecfbf4ba6fb2b3a437fc6c50bf11bc4527aa5b1dca23b8319d22b90888e04b3fd2fab049a13b
diff --git a/mail-filter/postgrey/postgrey-1.37.ebuild b/mail-filter/postgrey/postgrey-1.37.ebuild
new file mode 100644
index 00000000000..37e2c1011e8
--- /dev/null
+++ b/mail-filter/postgrey/postgrey-1.37.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils systemd user
+
+DESCRIPTION="Postgrey is a Postfix policy server implementing greylisting"
+HOMEPAGE="http://postgrey.schweikert.ch/"
+SRC_URI="http://postgrey.schweikert.ch/pub/${P}.tar.gz
+http://postgrey.schweikert.ch/pub/old/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=dev-lang/perl-5.6.0
+ dev-perl/Net-Server
+ dev-perl/IO-Multiplex
+ dev-perl/BerkeleyDB
+ dev-perl/Net-DNS
+ dev-perl/NetAddr-IP
+ dev-perl/Net-RBLClient
+ dev-perl/Parse-Syslog
+ virtual/perl-Digest-SHA
+ >=sys-libs/db-4.1"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /dev/null ${PN}
+}
+
+src_prepare() {
+ # bug 479400
+ sed -i 's@#!/usr/bin/perl -T -w@#!/usr/bin/perl -w@' postgrey || die "sed failed"
+}
+
+src_install() {
+ # postgrey data/DB in /var
+ diropts -m0770 -o ${PN} -g ${PN}
+ dodir /var/spool/postfix/${PN}
+ keepdir /var/spool/postfix/${PN}
+ fowners postgrey:postgrey /var/spool/postfix/${PN}
+ fperms 0770 /var/spool/postfix/${PN}
+
+ # postgrey binary
+ dosbin ${PN}
+ dosbin contrib/postgreyreport
+
+ # policy-test script
+ dosbin policy-test
+
+ # postgrey data in /etc/postfix
+ insinto /etc/postfix
+ insopts -o root -g ${PN} -m 0640
+ doins postgrey_whitelist_clients postgrey_whitelist_recipients
+
+ # documentation
+ dodoc Changes README README.exim
+
+ # init.d + conf.d files
+ insopts -o root -g root -m 755
+ newinitd "${FILESDIR}"/${PN}-1.34-r3.rc.new ${PN}
+ insopts -o root -g root -m 640
+ newconfd "${FILESDIR}"/${PN}.conf.new ${PN}
+ systemd_dounit "${FILESDIR}"/postgrey.service
+}